Get IP Asset Licenses
IP assets
Get IP Asset License
Get the licenses of an IP Asset
The ipassetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with ‘0x’ followed by hexadecimal characters.
API scope required: nfts.read
GET
Get IP Asset Licenses
Documentation Index
Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
API key required for authentication
Path Parameters
Response
200 - application/json
IP Asset License found
The License Terms ID
Example:
"1"
The PIL terms details as per retrieved from story
Example:
{
"transferable": true,
"royaltyPolicy": "0x1234567890123456789012345678901234567890",
"defaultMintingFee": 100,
"expiration": 0,
"commercialUse": true,
"commercialAttribution": true,
"commercializerChecker": "0x0000000000000000000000000000000000000000",
"commercializerCheckerData": "0x0000000000000000000000000000000000000000",
"commercialRevShare": 10000000,
"commercialRevCeiling": 0,
"derivativesAllowed": true,
"derivativesAttribution": true,
"derivativesApproval": false,
"derivativesReciprocal": true,
"derivativeRevCeiling": 0,
"currency": "0x1234567890123456789012345678901234567890",
"uri": "Will contain a reference to the license terms metadata"
}If true, the license terms will be disabled. Effectively preventing future mints with this license.
Example:
false
Example:
[
{
"id": "155",
"terms": {
"transferable": true,
"royaltyPolicy": "0x1234567890123456789012345678901234567890",
"defaultMintingFee": 100,
"expiration": 0,
"commercialUse": true,
"commercialAttribution": true,
"commercializerChecker": "0x0000000000000000000000000000000000000000",
"commercializerCheckerData": "0x0000000000000000000000000000000000000000",
"commercialRevShare": 10000000,
"commercialRevCeiling": 0,
"derivativesAllowed": true,
"derivativesAttribution": true,
"derivativesApproval": false,
"derivativesReciprocal": true,
"derivativeRevCeiling": 0,
"currency": "0x1234567890123456789012345678901234567890",
"uri": "Will contain a reference to the license terms metadata"
},
"disabled": false
}
]
